name: JavaScript Objective Expressions Test
on:
  push:
  pull_request:
jobs:
  test:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v4
      - name: Compile
        run: |
          javac \
            -encoding utf-8 \
            -d javascript/__out \
            --class-path "javascript/graal/*:common:javascript" \
            javascript/jstest/object/ObjectTest.java
      - name: Run JavaScript Objective Expressions tests
        working-directory: javascript
        run: |
          java -ea \
            --enable-native-access=org.graalvm.truffle \
            -Dsun.misc.unsafe.memory.access=allow \
            --module-path=graal \
            --class-path=__out \
            jstest.object.ObjectTest bonus base Simplify
